<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_eb56828483919e173c6ab7" . "72a8fa7d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9" . "jdW1lbnQ="), "_5fde92609a43c9160462278aec0" . "60406" => base64_decode("Y29tbW9uLnVua25vd24" . "="), "_86e12158655092a9838a837f6c" . "f6d639" => base64_decode("Li4vY29tbW9uL2Vy" . "bXNfcGtnLnBocA=="), "_9410d1798540" . "8ab6a2962e6fd" . "b621c5e" => base64_decode("ZG9jdW1lbnRzLm5hb" . "WVwYXR0ZXJudGFnLn" . "Zlcg=="), "_7ee25317f" . "fedb4fe27b" . "f0b5036469" . "b94" => base64_decode("Y29tbW9uLnR5cGUuZm9sZGV" . "y"), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1zZw" . "=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_86e12158655092a9838a837f6" . "cf6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_86e121586" . "55092a9838" . "a837f6cf6d" . "639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_7ee25317ffedb4fe27bf" . "0b5036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_eb56828483919e173c6ab772" . "a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_9410d17985408ab6a29" . "62e6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_5fde9260" . "9a43c9160" . "462278aec" . "060406"]);
    }
}